Bug 59784 - Download page should have link to the KEYS file
Summary: Download page should have link to the KEYS file
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-03 11:41 UTC by Sebb
Modified: 2016-07-05 21:00 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2016-07-03 11:41:05 UTC
As the subject says; the download page [1] should have a prominent link to the current KEYS file.

There are two places where I think this could be added:

After:
"verify the integrity of the files using the signatures and checksums available from this page. "

As a link in:
"First download the KEYS file"

The page also does not have any obvious links with the text 'signature'.
Perhaps the text 'signed' could be replaced with 'signature (.asc)' - that would also tie in with the verification description.


BTW, there is a minor typo:

"To insure that you have downloaded"
should be
"To ensure that you have downloaded"

[1] http://poi.apache.org/download.html
Comment 1 Javen O'Neal 2016-07-03 19:49:05 UTC
Thanks for the suggestion!

Applied in r1751168. The site will need to be republished before these changes are visible on the website.
Comment 2 Javen O'Neal 2016-07-04 01:52:40 UTC
Site updated in r1751171.
Comment 3 Javen O'Neal 2016-07-05 21:00:17 UTC
Fixed the 3.14 for "signed" -> "signature (.asc)" as well in r1751556 and r1751559.